/*
 * AbstractDocument.java
 *
 * Created on 2007/12/01, 3:35
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.itscool.commons.document;

import java.util.HashMap;

/**
 *
 * @author ios
 */
public abstract class AbstractDocument {
    protected HashMap classToTagNameList = new HashMap();
    protected HashMap memberToTagNameList = new HashMap();
    
    public void replaceClassToTagName(String className, String tagName ){
        classToTagNameList.put(className, tagName);
    }
    
    public void replaceMemberToTagName(String className, String memberName, String tagName ){
        memberToTagNameList.put(className + "." + memberName, tagName );
    }
    
    public String isReplaceMemberToTagName(String className, String memberName){
        String tagName = (String)memberToTagNameList.get(className + "." + memberName);
        return tagName;
    }
    
    public String isReplaceClassToTagName(String className){
        String tagName = (String)classToTagNameList.get(className);
        return tagName;
    }
    
}
